// Copyright (c) 2022 YAC
// SPDX-License-Identifier: AGPL-3.0-or-later

/* This file is part of YAC coreutils.
 *
 * YAC coreutils is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * YAC coreutils is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see https://www.gnu.org/licenses/.
 */

#![feature(core_intrinsics, lang_items, start)]
#![no_main]
#![no_std]

extern crate libc;

#[lang = "eh_personality"]
#[no_mangle]
fn rust_eh_personality() {}

#[lang = "panic_impl"]
#[no_mangle]
fn panic(_: &core::panic::PanicInfo) -> ! { core::intrinsics::abort() }

#[no_mangle]
fn main() { exit_no_std::exit(1); }
